Package ch.qos.logback.core.recovery

## Class RecoveryCoordinator

- java.lang.Object
- - ch.qos.logback.core.recovery.RecoveryCoordinator

    public class RecoveryCoordinator
    extends java.lang.Object

### Field Summary

Fields
`static long` `BACKOFF_COEFFICIENT_MIN`
`static long` `BACKOFF_MULTIPLIER`

### Constructor Summary

Constructors
`RecoveryCoordinator()`
`RecoveryCoordinator​(long currentTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isTooSoon()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BACKOFF_COEFFICIENT_MIN

    public static final long BACKOFF_COEFFICIENT_MIN

See Also:
  Constant Field Values

#### BACKOFF_MULTIPLIER

    public static final long BACKOFF_MULTIPLIER

See Also:
  Constant Field Values

### Constructor Detail

#### RecoveryCoordinator

    public RecoveryCoordinator()

#### RecoveryCoordinator

    public RecoveryCoordinator​(long currentTime)

### Method Detail

#### isTooSoon

    public boolean isTooSoon()